:root {
    --bg: #e6e6f9;
    --primary: #7b61ff;
    --primary-strong: #5a3fff;

    --text: #1f1f25;
    --text-light: #6b6b75;
}

body {
    margin: 0;
    font-family: Arial, sans-serif;
    color: var(--text);

    background: radial-gradient(
        circle at 75% 20%,
        rgba(123, 97, 255, 0.3),
        transparent 60%
    ),
    var(--bg);

    height: 100vh;
    overflow: hidden;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 1.2rem 3rem;

    background: rgba(255,255,255,0.6);
    backdrop-filter: blur(12px);

    border-bottom: 1px solid rgba(123, 97, 255, 0.214);
}

.logo {
    font-size: 1.1rem;
    font-weight: 600;
    letter-spacing: 0.5px;
}

.login-btn {
    text-decoration: none;
    color: var(--text);
    font-weight: 600;
}

.hero {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center; 

    padding: 3rem 3rem;
    gap: 4rem;
}

.hero-features {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    gap: 1.5rem;
    margin-top: 3rem; 
}

.hero-text {
    max-width: 30rem;
    display: flex;
    flex-direction: column;
    gap: 1rem; 
}

.brand {
    font-size: clamp(4rem, 7vw, 6rem);
    font-weight: 800;
    line-height: 1;
    margin-bottom: 0.5rem;
}

.headline {
    font-size: 1.8rem;
    color: var(--text-light);
    margin-bottom: 0.5rem;
}

.hero-text p {
    font-size: 1.1rem;
    color: var(--text-light);
    margin-bottom: 2rem;
}

.hero-center {
    display: flex;
    justify-content: center;
}

.hero-center img {
    width: 17rem;

    transform: rotate(6deg) scale(1.05);
    filter: drop-shadow(0 2rem 2.5rem rgba(123, 97, 255, 0.3));
}

.hero-center {
    margin-left: 2rem;
    margin-right: 2rem;
}


.feature {
    width: 16rem;          
    height: 5rem;        

    display: flex;
    flex-direction: column;
    justify-content: center;

    background: rgba(234, 230, 255, 0.869);
    border: 1px solid rgba(123, 97, 255, 0.131);

    padding: 1.2rem;
    border-radius: 1rem;

    backdrop-filter: blur(10px);
}

.feature:hover {
    transform: translateX(-5px);
}

.feature h3 {
    font-size: 1.1rem;
    margin-bottom: 0.3rem;
}

.feature p {
    font-size: 0.95rem;
    color: var(--text-light);
}

.cta {
    display: inline-block;
    padding: 0.9rem 1.8rem;

    background: linear-gradient(
        135deg,
        #7b61ffcc,
        #6049f29c
    );
    color: white;

    border-radius: 0.9rem;
    font-weight: 600;
    text-decoration: none;
    width: fit-content;   
    max-width: 16rem;
    
    box-shadow: 0 0.8rem 1.5rem rgba(123, 97, 255, 0.3);
    transition: 0.2s;
}

.cta:hover {
    transform: translateY(-3px);
}

@media (max-width: 900px) {

    body {
        overflow: auto;
        height: auto;
    }

    .hero {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .hero-center {
        order: -1;
    }

    .hero-features {
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
    }
}